## gst-plugins-bad1.0 1.20.4

=== debian/changelog ===
gst-plugins-bad1.0 (1.20.4-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 10:58:02 -0500

gst-plugins-bad1.0 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh Skip-failing-tests.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 10:54:29 -0500

gst-plugins-bad1.0 (1.20.3-1ubuntu7) lunar; urgency=medium

  * No-change rebuild against libopenh264-7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Nov 2022 03:05:59 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu6) kinetic; urgency=medium

  * No-change rebuild against opencv

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Aug 2022 10:50:42 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu5) kinetic; urgency=medium

  * No-change rebuild against libopenexr3-1-30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 04:02:15 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu4) kinetic; urgency=medium

  * More changes to remove wpewebkit support
    - debian/gstreamer1.0-wpe.install: removed.
    - debian/rules: removed -Ngstreamer1.0-wpe from NO_I386_ARGS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Aug 2022 08:47:25 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu3) kinetic; urgency=medium

  * No longer build with wpewebkit (LP: #1981592)
    - debian/control: remove libwpewebkit-1.1-dev and
      libwpebackend-fdo-1.0-dev from Build-Depends, remove gstreamer1.0-wpe
      binary package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2022 07:06:04 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:26 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Jun 2022 14:21:27 -0400
