=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               pkg-config (>= 0.11.0),
               meson (>= 0.59),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.56),
               libgstreamer1.0-dev (>= 1.20.0),
               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
               gstreamer1.0-plugins-base (>= 1.20.0),
               gstreamer1.0-plugins-good (>= 1.20.0),
               liborc-0.4-dev (>= 1:0.4.24),
               flite-dev,
               ladspa-sdk,
               libaom-dev,
               libass-dev (>= 0.10.4),
               libbs2b-dev (>= 3.1.0),
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.55.0),
               libssh2-1-dev (>= 1.4.3),
               libdca-dev,
               libde265-dev (>= 0.9),
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgtk-3-dev (>= 3.15.0),
               libiptcdata0-dev (>= 1.0.2),
               libkate-dev (>= 0.1.7),
               liblcms2-dev (>= 2.7),
               liblilv-dev (>= 0.22),
               libmjpegtools-dev (>= 2.0.0),
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libltc-dev (>= 1.1.4) [!i386],
               libnice-dev (>= 0.1.17),
               libofa0-dev (>= 0.9.3),
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 3.0.0) [!i386],
               opencv-data [!i386],
               libopenexr-dev,
               libopenh264-dev (>= 1.3.0) [!i386],
               libopenjp2-7-dev (>= 2.2),
               libopenmpt-dev,
               libopus-dev (>= 0.9.4),
               libfreeaptx-dev (>= 0.1.1) [!i386],
               libopenni2-dev (>= 0.26) [!i386],
               liborc-0.4-dev (>= 1:0.4.17),
               libpango1.0-dev (>= 1.22),
               libpng-dev,
               libqrencode-dev [!i386],
               libjson-glib-dev,
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev (>= 0.0.6),
               libsrt-gnutls-dev,
               libsrtp2-dev (>= 2.1),
               libssl-dev (>= 1.1),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.4.2),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               nettle-dev (>= 3),
               libasound2-dev (>= 0.9.1) [linux-any],
               libdc1394-dev (>= 2.2.5) [linux-any],
               libgudev-1.0-dev (>= 143) [linux-any],
               libusb-1.0-0-dev [linux-any],
               libbluetooth-dev (>= 5) [linux-any],
               libsbc-dev (>= 1.1) [linux-any],
               libwayland-dev (>= 1.11.0) [linux-any],
               libdrm-dev (>= 2.4.98) [linux-any],
               libva-dev (>= 1.8) [linux-any],
               libzxingcore-dev (>= 1.1.1) [!i386],
               wayland-protocols (>= 1.4) [linux-any],
               libmfx-dev [amd64],
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12-4~),
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gst-plugins-base-1.0,
               gir1.2-gstreamer-1.0
Build-Conflicts: libopenaptx-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-bad-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gstreamer1.0-plugins-bad (= ${binary:Version})
Conflicts: pitivi (<< 0.9999)
Description: GStreamer helper programs from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "bad" set, a set of
 plug-ins that aren't up to par compared to the rest. They might be
 close to being good quality, but they're missing something - be it a
 good code review, some documentation, a set of tests, a real live
 maintainer, or some actual wide use.

Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base (>= 1.20.0),
         gstreamer1.0-plugins-good (>= 1.20.0),
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: gstreamer1.0-plugins-bad-videoparsers,
          gstreamer1.0-plugins-bad-faad,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
Conflicts: gstreamer1.0-plugins-bad (<< 1.17.2~)
Replaces: gstreamer1.0-plugins-bad (<< 1.17.2~)
Recommends: opencv-data
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: pitivi (<< 0.9999)
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries for OpenCV.

Package: libgstreamer-plugins-bad1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${misc:Depends},
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}) [!i386],
         libgstreamer1.0-dev,
         libgstreamer-plugins-base1.0-dev,
         libgstreamer-plugins-good1.0-dev,
         gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
         libopencv-dev (>= 2.3.0) [!i386]
Conflicts: pitivi (<< 0.9999)
Description: GStreamer development files for libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
