=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),
+               dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
                pkg-config (>= 0.11.0),
                meson (>= 0.59),
@@ -44,27 +44,27 @@
                liblcms2-dev (>= 2.7),
                liblilv-dev (>= 0.22),
                libmjpegtools-dev (>= 2.0.0),
-               libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
-               libltc-dev (>= 1.1.4) [!i386],
+               libltc-dev (>= 1.1.4),
                libnice-dev (>= 0.1.17),
-               libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [!i386],
-               opencv-data [!i386],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libwpebackend-fdo-1.0-dev (>= 1.8.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.1-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
-               libopenh264-dev (>= 1.3.0) [!i386],
+               libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libfreeaptx-dev (>= 0.1.1) [!i386],
-               libopenni2-dev (>= 0.26) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
+               libopenni2-dev (>= 0.26) [linux-any],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev [!i386],
+               libqrencode-dev,
                libjson-glib-dev,
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
@@ -96,7 +96,7 @@
                libwayland-dev (>= 1.11.0) [linux-any],
                libdrm-dev (>= 2.4.98) [linux-any],
                libva-dev (>= 1.8) [linux-any],
-               libzxingcore-dev (>= 1.1.1) [!i386],
+               libzxingcore-dev (>= 1.1.1),
                wayland-protocols (>= 1.4) [linux-any],
                libmfx-dev [amd64],
                gobject-introspection (>= 0.9.12-4~),
@@ -106,7 +106,7 @@
                gir1.2-gst-plugins-base-1.0,
                gir1.2-gstreamer-1.0
 Build-Conflicts: libopenaptx-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -136,7 +136,6 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-plugins-base (>= 1.20.0),
@@ -203,12 +202,34 @@
  .
  This package contains the OpenCV plugins.
 
+Package: gstreamer1.0-wpe
+Architecture: amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-plugins-base,
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+Description: GStreamer WPEWebKit plugin
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains the WPEWebKit plugin.
+
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
-Section: libs
-Priority: optional
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: pitivi (<< 0.9999)
@@ -230,10 +251,7 @@
 
 Package: libgstreamer-opencv1.0-0
 Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
-Section: libs
-Priority: optional
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
@@ -242,32 +260,3 @@
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains shared GStreamer libraries for OpenCV.
-
-Package: libgstreamer-plugins-bad1.0-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Priority: optional
-Depends: ${misc:Depends},
-         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         libgstreamer-opencv1.0-0 (= ${binary:Version}) [!i386],
-         libgstreamer1.0-dev,
-         libgstreamer-plugins-base1.0-dev,
-         libgstreamer-plugins-good1.0-dev,
-         gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
-         libopencv-dev (>= 2.3.0) [!i386]
-Conflicts: pitivi (<< 0.9999)
-Description: GStreamer development files for libraries from the "bad" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
